#if !defined(AFX_WORKSPACEBAR_H__708257A3_7B83_11D3_A74B_0090274409AC__INCLUDED_)
#define AFX_WORKSPACEBAR_H__708257A3_7B83_11D3_A74B_0090274409AC__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// WorkspaceBar.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CWorkspaceBar window

class CWorkspaceBar : public CBCGSizingControlBar
{
// Construction
public:
	CWorkspaceBar();

// Attributes
protected:
	CBCGTabWnd	m_wndTabs;

	CTreeCtrl	m_wndClassView;
	CTreeCtrl	m_wndResourceView;
	CTreeCtrl	m_wndFileView;

	CImageList	m_ClassViewImages;
	CImageList	m_ResourceViewImages;
	CImageList	m_FileViewImages;

// Operations
protected:
	void FillClassView ();
	void FillResourceView ();
	void FillFileView ();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CWorkspaceBar)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CWorkspaceBar();

	// Generated message map functions
protected:
	//{{AFX_MSG(CWorkspaceBar)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_WORKSPACEBAR_H__708257A3_7B83_11D3_A74B_0090274409AC__INCLUDED_)
