//*******************************************************************************
// COPYRIGHT NOTES
// ---------------
// This source code is a part of BCGControlBar library.
// You may use, compile or redistribute it as part of your application 
// for free. You cannot redistribute it as a part of a software development 
// library without the agreement of the author. If the sources are 
// distributed along with the application, you should leave the original 
// copyright notes in the source code without any changes.
// This code can be used WITHOUT ANY WARRANTIES on your own risk.
// 
// Stas Levin <stas@iet.co.il>
//*******************************************************************************

#if !defined(AFX_BCGDIALOGBAR_H__F8388FA1_30D5_11D3_95C5_00A0C9289F1B__INCLUDED_)
#define AFX_BCGDIALOGBAR_H__F8388FA1_30D5_11D3_95C5_00A0C9289F1B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// BCGDialogBar.h : header file
//

#include "bcgcontrolbar.h"
#include "BCGControlBarImpl.h"

/////////////////////////////////////////////////////////////////////////////
// CBCGDialogBar window

class BCGCONTROLBARDLLEXPORT CBCGDialogBar : public CDialogBar
{
	DECLARE_SERIAL(CBCGDialogBar)

// Construction
public:
	CBCGDialogBar();

// Attributes
protected:
	CBCGControlBarImpl	m_Impl;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBCGDialogBar)
	//}}AFX_VIRTUAL

	virtual CSize CalcFixedLayout(BOOL bStretch, BOOL bHorz);
	virtual void DoPaint(CDC* pDC);

// Implementation
public:
	virtual ~CBCGDialogBar();

	// Generated message map functions
protected:
	//{{AFX_MSG(CBCGDialogBar)
	afx_msg void OnNcPaint();
	afx_msg void OnNcCalcSize(BOOL bCalcValidRects, NCCALCSIZE_PARAMS FAR* lpncsp);
	afx_msg UINT OnNcHitTest(CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_BCGDIALOGBAR_H__F8388FA1_30D5_11D3_95C5_00A0C9289F1B__INCLUDED_)
