//*******************************************************************************
// COPYRIGHT NOTES
// ---------------
// This source code is a part of BCGControlBar library.
// You may use, compile or redistribute it as part of your application 
// for free. You cannot redistribute it as a part of a software development 
// library without the agreement of the author. If the sources are 
// distributed along with the application, you should leave the original 
// copyright notes in the source code without any changes.
// This code can be used WITHOUT ANY WARRANTIES on your own risk.
// 
// Stas Levin <stas@iet.co.il>
//*******************************************************************************

#if !defined(AFX_BUTTONSTEXTLIST_H__DA15C743_C687_11D1_B110_B5F0ACB7A449__INCLUDED_)
#define AFX_BUTTONSTEXTLIST_H__DA15C743_C687_11D1_B110_B5F0ACB7A449__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// ButtonsTextList.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CButtonsTextList window

class CButtonsTextList : public CListBox
{
// Construction
public:
	CButtonsTextList();

// Attributes
protected:
	CSize	m_sizeButton;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CButtonsTextList)
	public:
	virtual void MeasureItem(LPMEASUREITEMSTRUCT lpMeasureItemStruct);
	virtual void DrawItem(LPDRAWITEMSTRUCT lpDrawItemStruct);
	protected:
	virtual void PreSubclassWindow();
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CButtonsTextList();

	// Generated message map functions
protected:
	//{{AFX_MSG(CButtonsTextList)
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_BUTTONSTEXTLIST_H__DA15C743_C687_11D1_B110_B5F0ACB7A449__INCLUDED_)
